Event.TopologyChange (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.transport

## Class Event.TopologyChange

- java.lang.Object
- - org.apache.cassandra.transport.Event
  - - org.apache.cassandra.transport.Event.NodeEvent
    - - org.apache.cassandra.transport.Event.TopologyChange

- Enclosing class:
    Event

      public static class Event.TopologyChange
      extends Event.NodeEvent

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Event.TopologyChange.Change`

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.transport.Event

      `Event.NodeEvent, Event.SchemaChange, Event.StatusChange, Event.TopologyChange, Event.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Event.TopologyChange.Change` | `change`

    - ### Fields inherited from class org.apache.cassandra.transport.Event.NodeEvent

      `node`

    - ### Fields inherited from class org.apache.cassandra.transport.Event

      `type`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object other)`
    `protected int` | `eventSerializedSize(ProtocolVersion version)`
    `int` | `hashCode()`
    `static Event.TopologyChange` | `movedNode(java.net.InetAddress host, int port)`
    `static Event.TopologyChange` | `newNode(java.net.InetAddress host, int port)`
    `static Event.TopologyChange` | `removedNode(java.net.InetAddress host, int port)`
    `protected void` | `serializeEvent(io.netty.buffer.ByteBuf dest, ProtocolVersion version)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.cassandra.transport.Event.NodeEvent

      `nodeAddress`

    - ### Methods inherited from class org.apache.cassandra.transport.Event

      `deserialize, serialize, serializedSize`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### change

          public final Event.TopologyChange.Change change

  - ### Method Detail

    - #### newNode

          public static Event.TopologyChange newNode(java.net.InetAddress host,
                                                     int port)

    - #### removedNode

          public static Event.TopologyChange removedNode(java.net.InetAddress host,
                                                         int port)

    - #### movedNode

          public static Event.TopologyChange movedNode(java.net.InetAddress host,
                                                       int port)

    - #### serializeEvent

          protected void serializeEvent(io.netty.buffer.ByteBuf dest,
                                        ProtocolVersion version)

      Specified by:
        `serializeEvent` in class `Event`

    - #### eventSerializedSize

          protected int eventSerializedSize(ProtocolVersion version)

      Specified by:
        `eventSerializedSize` in class `Event`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation